## org.apache.sling.jmx.provider.impl
Class JMXResourceProvider.PathInfo

    java.lang.Object
      org.apache.sling.jmx.provider.impl.JMXResourceProvider.PathInfo

Enclosing class:
  JMXResourceProvider

    public static final class JMXResourceProvider.PathInfo

extends Object

Field Summary
`boolean` `isRoot`
`MBeanInfo` `mbeanInfo`
`ObjectName` `objectName`
`String` `pathInfo`

Constructor Summary
`JMXResourceProvider.PathInfo(boolean isRoot)`
`JMXResourceProvider.PathInfo(String info)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isRoot

    public final boolean isRoot

### pathInfo

    public final String pathInfo

### objectName

    public ObjectName objectName

### mbeanInfo

    public MBeanInfo mbeanInfo

Constructor Detail

### JMXResourceProvider.PathInfo

    public JMXResourceProvider.PathInfo(boolean isRoot)

### JMXResourceProvider.PathInfo

    public JMXResourceProvider.PathInfo(String info)

Copyright © 2007-2014 The Apache Software Foundation. All Rights Reserved.